Dockerfile 462 Bytes
Newer Older
1
2
3
4
5
6
7
8
9
10
FROM debian:stretch
MAINTAINER Laurent Modolo

ENV DEEPTOOLS_VERSION=3.1.1
ENV PACKAGES build-essential \
             python3-pip \
             python3-setuptools \
             python3-dev \
             python3-wheel \
             zlib1g-dev \
11
12
13
             libcurl4-gnutls-dev \
             procps

14
15
16
17
18
19

RUN apt-get update && \
    apt-get install -y --no-install-recommends ${PACKAGES} && \
    apt-get clean

RUN pip3 install deeptools==${DEEPTOOLS_VERSION}